{% extends 'Default/printable.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  {{ include('Pratiche/pdf/parts/style.html.twig') }}
{% endblock %}

{% block main_content %}

  {{ include('Print/parts/_header.html.twig') }}

  <main class="container-fluid">
    <div class="row mt-5">
      <div class="col-12">
        <h1>{{ 'pratica.dettaglio.risposta_integrazione' | trans }}</h1>

        <p>
          <strong>{{ 'pratica.servizio'|trans }}</strong>:{{ pratica.servizio.fullName }}<br>
          <strong>{{ 'pratica.dettaglio.richiedente' | trans }}</strong>: {{ pratica.user.fullName }}<br>
          <strong>{{ 'pratica.numero' | trans }}</strong>: {{ pratica.id }}<br>
          {% if pratica.numeroProtocollo %}
            <strong>{{ 'pratica.protocol_number' | trans }}</strong>: {{ pratica.numeroProtocollo }}
          {% endif %}
        </p>

        {# Richiesta integrazione #}
        {% if integration_request_message %}
          <h3>{{ 'operatori.note_richiesta_del_giorno' | trans({
              '%date%': richiesta_integrazione.createdAt | format_date( locale=app.request.locale)
            }) }}</h3>
          {{ integration_request_message.message | raw }}
        {% endif %}

        {# Integrazioni (solo Peo) #}
        {% if integrazioni|length > 0 %}
          <h3>{{ 'integrations' | trans }}</h3>
          <ul>
            {% for i in integrazioni %}
              <li>{{ i.originalFilename }}</li>
            {% endfor %}
          </ul>
        {% endif %}

        {# Messaggi #}
        {% set attachments = [] %}
        {% if messages|length > 0 %}
          <h3>{{ 'iscrizioni.messages' | trans }}</h3>
          <ul class="list-unstyled">
            {% for message in messages %}
              <li>
                <p>{{ 'from' | trans }}
                  <strong>
                    {{ (message.author is not null) ? message.author.fullName : ente.name }}
                  </strong>
                  {{ 'pratica.dettaglio.il' | trans }} {{ message.createdAt | format_datetime('medium', 'short', locale=app.request.locale) }}
                </p>
                {{ message.message|purify }}
                {% if message.attachments|length > 0 %}
                  <p>{{ 'operatori.allegati' | trans }}:<br>
                    {% for attachment in message.attachments %}
                      {% set attachments = attachments|merge([attachment]) %}
                      <small>{{ attachment.description }}</small>
                    {% endfor %}
                  </p>
                {% endif %}
                <hr>
              </li>
            {% endfor %}
          </ul>
        {% endif %}

        <h3>{{ 'operatori.allegati'|trans }}</h3>
        {% if attachments|length > 0 %}
          <table class="table">
            <thead>
            <tr>
              <th>{{ 'allegato.nome_file' | trans }}</th>
              <th>{{ 'allegato.hash_file' | trans }}</th>
            </tr>
            </thead>
            <tbody>
            {% for a in attachments %}
              <tr>
                <td>{{ a.originalFilename }}</td>
                <td>{{ a.hash }}</td>
              </tr>
            {% endfor %}
            </tbody>
          </table>
        {% else %}
          <p><em>{{ 'pratica.nessun_allegato'|trans }}</em></p>
        {% endif %}

      </div>
    </div>
  </main>
{% endblock %}
